Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	aproximate minimum degree ordering routines
Name:       	amd
Version:   	2.2.0
Release:   	1
License: 	GNU/LGPL
URL:		http://www.cise.ufl.edu/research/sparse/umfpack/	
Group:     	Development/Libraries
Source0: 	AMD-%{version}.tar.gz
Source1:	UFconfig-2.3.1.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
#BuildRequires:	gcc-gfortran

%description
AMD is a set of routines for ordering a sparse matrix prior to Cholesky factorization (or for LU factorization with diagonal pivoting). There are versions in both C and Fortran. A MATLAB interface is provided. Note that this software has nothing to do with AMD the company. This package runs on any platform.

%package        devel
Summary:        header files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
header files for %{name}


%post
ldconfig

%postun
ldconfig

%prep
%setup -q -c 
%setup -q -c -a 0 -a 1
%setup -q -D -T -n %{name}-%{version}/AMD

%build
cd Lib
    make CFLAGS="$CFLAGS -fPIC" 
    gcc -shared -Wl,-soname,libamd.so.%{major} -o ../Lib/libamd.so.%{version} `ls *.o`
cd ..
cd Doc
    %{__make}
cd ..

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_libdir}
install -m 755 Lib/libamd.so.%{version} %{buildroot}%{_libdir}
install -m 644 Lib/libamd.a %{buildroot}%{_libdir}
(cd %{buildroot}%{_libdir} && ln -s libamd.so.%{version} libamd.so)

install -d -m 755 %{buildroot}%{_includedir}
install -m 644 Include/*.h %{buildroot}%{_includedir}
#install -m 644 Source/*.h %{buildroot}%{_includedir}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc README.txt Doc/AMD_UserGuide.pdf
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Aug 06 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.2.0-1
- Version Update
* Tue Jan 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.3-1
- Initial Release
